# json-c 0.18 — lib C base (de-Alpinizada, Etapa G). compiler=gcc, configure-split, estático.
name    = "json-c"
version = "0.18"

[source]
tarball = "https://s3.amazonaws.com/json-c_releases/releases/json-c-0.18.tar.gz"
sha256  = "876ab046479166b869afc6896d288183bbc0e5843f141200c677b3e8dfb11724"
patches = ["cmake-version.patch"]

[build]
compiler = "gcc"
target   = "x86_64-linux-musl"
link     = "static"
flags    = []

[build.phases]
configure = 'cmake -B build -DBUILD_SHARED_LIBS=OFF -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release'
compile   = 'cmake --build build'
install   = 'DESTDIR=/out cmake --install build'

